# Class CIM_PrintJobFile
extends CIM_Component

This association indicates which files are associated with a PrintJob.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_PrintJobFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | This association indicates which files are associated with a PrintJob.
UMLPackagePath | string | CIM::Device::Printing
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PrintJobFile | CIM_PrintJob
PartComponent | CIM_PrintJobFile | CIM_DataFile

## Class Methods